<template>
  <div class="evaluate">
    <div class="title">
      <span>智慧停车</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div class="content1">
        <div class="content11">
          <div class="content111">
            <table>
              <tr class="tr1">
                <td class="td1"></td>
                <td class="td2">候车场信息</td>
                <td class="td3">
                  <button>2021年9月</button>
                </td>
                <td class="td4">
                  <img src="../../../assets/img/月份.png" />
                </td>
              </tr>
              <tr class="tr2">
                <td></td>
                <td>
                  <div class="tddiv">
                    <span
                      >候车场总数<span>{{ parkData.houChe }}</span></span
                    >
                  </div>
                </td>
                <td colspan="2">
                  <div class="tddiv">
                    <span
                      >候车位总数<span>{{ parkData.tinChe }}</span></span
                    >
                  </div>
                </td>
              </tr>
            </table>
          </div>
          <div class="content112">
            <table>
              <tr class="tr21">
                <td class="td21"></td>
                <td class="td22">长期人员总数</td>
              </tr>
              <tr class="tr22">
                <td></td>
                <td>
                  <span>{{ parkData.renyuan }}</span>
                </td>
              </tr>
            </table>
          </div>
        </div>
        <div class="content12">
          <div id="content12"></div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      dataX1: [],
      dataY1: [],
      bottomoption: {},
      parkData: {
        houChe: "",
        tinChe: "",
        renyuan: "",
      },
    };
  },
  //方法集合
  methods: {
    async getData() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/park/park/queryall"
      );
      dt.result.forEach((element) => {
        if (element.name == "侯车场总数") {
          this.parkData.houChe = element.value;
        } else if (element.name == "停车位总数") {
          this.parkData.tinChe = element.value;
        } else if (element.name == "长期人员总数") {
          this.parkData.renyuan = element.value;
        }
      });
    },
    async drawLine() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/income/income/queryall"
      );

      this.GetChartLine(dt.result);
    },
    //线型图
    GetChartLine(val) {
      var dataX3 = [];
      var dataY31 = [];
      var dataY32 = [];
      val.forEach((e) => {
        dataX3.push(e.date);
        dataY31.push(e.payment);
        dataY32.push(e.recharge);
      });
      let bottomChart = this.$echarts.init(
        document.getElementById("content12")
      );

      this.bottomoption = {
        color: ["#10E713", "#FFA35E"],
        textStyle: {
          fontSize: 18,
        },

        grid: {
          left: "20",
          right: "20",
          bottom: "50",
          top: "80",
          containLabel: true,
        },
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "none",
            label: {
              show: true,
              backgroundColor: "#333",
            },
          },
        },
        legend: {
          show: true,
          x: "center",
          top: "20",
          textStyle: {
            color: "#fff",
          },
          data: ["收费金额", "充值金额"],
        },
        xAxis: [
          {
            type: "category",
            boundaryGap: false,
            // axisLabel: {
            //   color: "#FFF",
            // },
            axisLine: {
              show: true,
              lineStyle: {
                color: "#5D6675",
              },
            },
            axisLabel: {
              textStyle: {
                color: "#FFF",
                fontFamily: "Microsoft YaHei",
              },
            },
            data: dataX3,
          },
        ],
        yAxis: [
          {
            type: "value",
            name: "",
            axisLine: {
              lineStyle: {
                color: "#FFF",
              },
            },
            splitLine: {
              //分割线
              show: true,
              lineStyle: {
                type: "solid",
                color: "#303D4B",
              },
            },
          },
        ],
        series: [
          {
            name: "收费金额",
            type: "line",
            symbol: "circle",
            symbolSize: 8,

            itemStyle: {
              normal: {
                areaStyle: {
                  color: new this.$echarts.graphic.LinearGradient(0, 1, 0, 0, [
                    {
                      offset: 0,
                      color: "rgba(16,231,19,0)",
                    },
                    {
                      offset: 1,
                      color: "rgba(16,231,19,0.5)",
                    },
                  ]),
                },
              },
            },
            data: dataY31,
          },
          {
            name: "充值金额",
            type: "line",
            symbol: "circle",
            symbolSize: 8,

            itemStyle: {
              normal: {
                areaStyle: {
                  //color: '#94C9EC'
                  color: new this.$echarts.graphic.LinearGradient(0, 1, 0, 0, [
                    {
                      offset: 0,
                      color: "rgba(255,163,94,0)",
                    },
                    {
                      offset: 1,
                      color: "rgba(255,163,94,0.5)",
                    },
                  ]),
                },
              },
            },
            data: dataY32,
          },
        ],
      };
      bottomChart.setOption(this.bottomoption);
    },
  },
  mounted() {
    this.drawLine();
  },
  created() {
    this.getData();
  },
};
</script>

<style lang="less" scoped="scoped">
.evaluate {
  height: 49%;
  width: 100%;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;

    img {
      width: 100%;
    }

    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
}

.content {
  height: 90%;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.content1 {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.content11,
.content12 {
  width: 100%;
  height: 50%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
}
#content12 {
  height: 100%;
  width: 100%;
}

.content111,
.content112 {
  height: 70%;
  width: 40%;
}

.content111 {
  background-color: #3b5c9e;
}

.content112 {
  background-color: #065734;
}

table {
  height: 100%;
  width: 100%;
}

.tr1 {
  height: 90px;
}

.tr2 {
  height: calc(100% - 90px);
}

.td1 {
  width: 200px;
  height: 100px;
  background-image: url(../../../assets/img/car.png);
  background-size: 100% 100%;
}

.td2 {
  width: 40%;
  text-align: center;
  font-size: 50px;
  color: #ffffff;
}

.td3 {
  width: 30%;
  text-align: center;
  font-size: 50px;
  color: #ffffff;

  button {
    height: 70%;
    width: 90%;
    background-color: transparent;
    color: #a1adcb;
    border: solid 1px #a1adcb;
  }
}

.td4 {
  text-align: right;
  width: calc(30% - 90px);

  img {
    margin-right: 20px;
    height: 41px;
    width: 41px;
  }
}

.tddiv {
  height: 60%;
  width: 90%;
  background-color: #6174a7;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 50px;
  color: #ffffff;

  span span {
    color: #f7d786;
  }
}

.td21 {
  width: 200px;
  height: 200px;
  background-image: url(../../../assets/img/longPeople.png);
  background-size: 100% 100%;
}

.td22 {
  width: calc(100% - 90px);
  text-indent: 50px;
  color: #ffffff;
  font-size: 70px;
}

.tr21 {
  height: 90px;
}

.tr22 span {
  font-size: 70px;
  color: #f7d786;
}
@media only screen and (max-width: 2560px) {
  .evaluate {
    height: 50%;
    background: transparent;
    overflow: visible;
    .content {
      margin-top: -9%;
      height: 100%;
      .content111,
      .content112 {
        height: 700px;
        width: 40%;
        margin-top: 80px;
      }
      .td1 {
        width: 180px;
        height: 180px;
      }
      .td21 {
        width: 180px;
        height: 180px;
      }
      #content12 {
        height: 2400px;
      }
    }
  }
}
</style>
